MD5SUM(1)

NAZWA
md5sum - oblicz i sprawdź skrót pliku w formacie MD5

SKŁADNIA

md5sum
    [-bctw] [-c [plik]] [--binary] [--check=[plik]]
    [--text] [--status] [--warn] [--help] [--version] [plik...]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo md5sum
lub
    info md5sum.

Ta strona podręcznika opisuje polecenie md5sum w wersji GNU.

md5sum tworzy dla każdego pliku wejściowego 128-bitowy "odcisk palca" ("skrót", sumę kontrolną), bądź może sprawdzić używając wyniku wcześniejszego uruchomienia czy skróty ciągle są takie same (tj. czy pliki się zmieniły).

Sumy obliczane są według opisu podanego w RFC 1321. Dla każdego z plików wypisywana jest linia ze skrótem, znakiem wskazującym na typ pliku wejściowego ('*' binarny, ' ' tekstowy) i jego nazwą. Jeśli nazwą pliku jest '-' lub nie podano plików to skrót obliczany jest dla standardowego wejścia.

OPCJE

-b, --binary
    Traktuje wszystkie pliki wejściowe jako binarne. Normalnie nie czyni to żadnej różnicy w systemach UN*Xowych, ale niektóre systemy mają odmienną wewnętrzną i zewnętrzną reprezentację tekstu (zwłaszcza znaków końca linii). Tryb ten jest domyślny w MS-DOS/MS-Windows.

-c, --check[=plik]
    Czyta nazwy plików i informację o skrótach z zadanego pliku (lub ze standardowego wejścia, jeśli nie podano pliku) i zgłasza, czy każdy z danych plików ma skrót zgodny z zapisanym. Plikiem wejściowym dla tego trybu pracy jest na ogół wynik wcześniejszego, tworzącego skróty, uruchomienia md5sum. Plik wejściowy zawiera w każdej linii sumę MD5, znacznik binarium/tekstu, oraz nazwę pliku. Dla każdej z linii czytany jest wymieniony w niej plik i wyliczany jego skrót. Następnie, jeśli skrót nie jest taki sam, jak podany w tej linii, test pliku oznaczony zostanie jako nieudany. W przeciwnym razie plik zdaje test. Domyślnie, dla każdej poprawnej linii na standardowe wyjście wypisywana jest jedna linia wskazująca, czy dany plik przeszedł test. Po przeprowadzeniu wszystkich kontroli, jeżeli wystąpiły jakieś niepowodzenia, na standardowe wyjście błędów wysyłane jest ostrzeżenie. Opcja --status wyłącza ten komunikat. Jeżeli nie można otworzyć lub przeczytać któregoś ze wskazanych plików, któraś z poprawnych linii zawiera niezgodny z aktualnym skrót odpowiedniego pliku albo nie znaleziono żadnej poprawnej linii, to md5sum kończy pracę z niezerowym kodem. W przeciwnym razie kończy pracę pomyślnie.

-t, --text
    Traktuje wszystkie pliki wejściowe jako tekst. Jest to opcja odwrotna do --binary.

--status
    Opcja przydatna tylko przy weryfikacji skrótów. Zakazuje wówczas domyślnego tworzenia raportu (po jednej linii na plik) i wysyłania ostrzeżenia z podsumowaniem niepowodzeń. Nieudane otwarcia lub odczyty plików nadal powodują odrębne komunikaty na standardowym wyjściu błędów. Jeżeli wszystkie wskazane pliki dają się czytać i mają skróty zgodne z zapisanymi, to md5sum pomyślnie kończy pracę. W przeciwnym przypadku kończy działanie z kodem wskazującym na niepowodzenie.

-w, --warn
    Przy weryfikacji skrótów ostrzega o niepoprawnie sformatowanych liniach z sumami kontrolnymi MD5. Opcja przydatna tylko wtedy, gdy poprawne są wszystkie oprócz kilku linii sprawdzanego wejścia.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
wc(1), sum(1), cksum(1), textutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi tekstowych GNU wersji 2.0.